Bug 52549 - libdrm 2.4.37 compilation fails if ETIME not defined
libdrm 2.4.37 compilation fails if ETIME not defined
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: libdrm
XOrg git
All BSD (Others)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 14:49 UTC by David Shao
Modified: 2013-03-03 08:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Shao 2012-07-26 14:49:58 UTC
For operating systems such as DragonFly BSD, ETIME may not be defined, let alone POSIX STREAMS implemented.  libdrm 2.4.37 in current pkgsrc failed to compile on DragonFly BSD 3.1-DEVEL i386 and x86_64 until a patch was added to define ETIME if it was not already defined:

ETIME is not defined on DragonFly BSD, work around it.

--- intel/intel_bufmgr_gem.c.orig       2012-07-02 15:22:14.326942000 +0000
+++ intel/intel_bufmgr_gem.c
@@ -54,6 +54,9 @@
 #include <stdbool.h>

 #include "errno.h"
+#ifndef ETIME
+#define ETIME ETIMEDOUT
+#endif
 #include "libdrm_lists.h"
 #include "intel_bufmgr.h"
 #include "intel_bufmgr_priv.h"
Comment 1 Matt Turner 2012-08-01 04:48:13 UTC
http://comments.gmane.org/gmane.comp.freedesktop.xorg.devel/32267

So why are you trying to build libdrm_intel on an operating system that doesn't have Intel KMS?
Comment 2 naota@gentoo.org 2012-10-06 08:12:28 UTC
(In reply to comment #1)
> http://comments.gmane.org/gmane.comp.freedesktop.xorg.devel/32267
> 
> So why are you trying to build libdrm_intel on an operating system that
> doesn't have Intel KMS?

FreeBSD-9.1 will have Intel KMS support and have the same problem.

http://wiki.freebsd.org/Intel_GPU
Comment 3 Francois Tigeot 2013-03-03 08:51:14 UTC
Resolved by commit 7d42b49c0cf19dbb4531cd84efae51f95db2eea1, present in libdrm-2.4.41.